'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = parrot;

var _express = require('express');

var _bodyParser = require('body-parser');

var _bodyParser2 = _interopRequireDefault(_bodyParser);

var _ParrotMiddleware = require('./ParrotMiddleware');

var _ParrotMiddleware2 = _interopRequireDefault(_ParrotMiddleware);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function parrot(scenarios) {
  var parrotMiddleware = new _ParrotMiddleware2.default(scenarios);

  var jsonParser = _bodyParser2.default.json();
  var parrotRouter = (0, _express.Router)();

  parrotRouter.post('/parrot/scenario', function (req, res) {
    parrotMiddleware.setActiveScenario(req.body.scenario);
    res.sendStatus(200);
  });

  parrotRouter.get('/parrot/scenario', function (req, res) {
    res.json(parrotMiddleware.getActiveScenario());
  });

  parrotRouter.get('/parrot/scenarios', function (req, res) {
    res.json(parrotMiddleware.getScenarios());
  });

  return [jsonParser, parrotRouter, parrotMiddleware.resolve];
} /*
   * Copyright (c) 2018 American Express Travel Related Services Company, Inc.
   *
   * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
   * in compliance with the License. You may obtain a copy of the License at
   *
   * http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software distributed under the License
   * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
   * or implied. See the License for the specific language governing permissions and limitations under
   * the License.
   */

module.exports = exports['default'];